Commit d160d1bc authored by Russ Cox's avatar Russ Cox

build: change all.bash output to be more markdown-friendly

People keep pasting all.bash output into GitHub bugs, which turns
the # lines into <h1> headlines. Add some more #s so that the
bug reports are more readable. Not ideal but seems like the best
of a few bad options.

Change-Id: I4c69930ec304b2d504d7cd66221281a8577b87ae
Reviewed-on: https://go-review.googlesource.com/1286Reviewed-by: default avatarIan Lance Taylor <iant@golang.org>
Reviewed-by: default avatarAndrew Gerrand <adg@golang.org>
parent b7a2b1e9
...@@ -110,7 +110,7 @@ rm -f ./runtime/runtime_defs.go ...@@ -110,7 +110,7 @@ rm -f ./runtime/runtime_defs.go
# Finally! Run the build. # Finally! Run the build.
echo '# Building C bootstrap tool.' echo '##### Building C bootstrap tool.'
echo cmd/dist echo cmd/dist
export GOROOT="$(cd .. && pwd)" export GOROOT="$(cd .. && pwd)"
GOROOT_FINAL="${GOROOT_FINAL:-$GOROOT}" GOROOT_FINAL="${GOROOT_FINAL:-$GOROOT}"
...@@ -149,7 +149,7 @@ if [ "$1" = "--dist-tool" ]; then ...@@ -149,7 +149,7 @@ if [ "$1" = "--dist-tool" ]; then
exit 0 exit 0
fi fi
echo "# Building compilers and Go bootstrap tool for host, $GOHOSTOS/$GOHOSTARCH." echo "##### Building compilers and Go bootstrap tool for host, $GOHOSTOS/$GOHOSTARCH."
buildall="-a" buildall="-a"
if [ "$1" = "--no-clean" ]; then if [ "$1" = "--no-clean" ]; then
buildall="" buildall=""
...@@ -162,7 +162,7 @@ mv cmd/dist/dist "$GOTOOLDIR"/dist ...@@ -162,7 +162,7 @@ mv cmd/dist/dist "$GOTOOLDIR"/dist
echo echo
if [ "$GOHOSTARCH" != "$GOARCH" -o "$GOHOSTOS" != "$GOOS" ]; then if [ "$GOHOSTARCH" != "$GOARCH" -o "$GOHOSTOS" != "$GOOS" ]; then
echo "# Building packages and commands for host, $GOHOSTOS/$GOHOSTARCH." echo "##### Building packages and commands for host, $GOHOSTOS/$GOHOSTARCH."
# CC_FOR_TARGET is recorded as the default compiler for the go tool. When building for the host, however, # CC_FOR_TARGET is recorded as the default compiler for the go tool. When building for the host, however,
# use the host compiler, CC, from `cmd/dist/dist env` instead. # use the host compiler, CC, from `cmd/dist/dist env` instead.
CC=$CC GOOS=$GOHOSTOS GOARCH=$GOHOSTARCH \ CC=$CC GOOS=$GOHOSTOS GOARCH=$GOHOSTARCH \
...@@ -170,7 +170,7 @@ if [ "$GOHOSTARCH" != "$GOARCH" -o "$GOHOSTOS" != "$GOOS" ]; then ...@@ -170,7 +170,7 @@ if [ "$GOHOSTARCH" != "$GOARCH" -o "$GOHOSTOS" != "$GOOS" ]; then
echo echo
fi fi
echo "# Building packages and commands for $GOOS/$GOARCH." echo "##### Building packages and commands for $GOOS/$GOARCH."
CC=$CC_FOR_TARGET "$GOTOOLDIR"/go_bootstrap install $GO_FLAGS -ccflags "$GO_CCFLAGS" -gcflags "$GO_GCFLAGS" -ldflags "$GO_LDFLAGS" -v std CC=$CC_FOR_TARGET "$GOTOOLDIR"/go_bootstrap install $GO_FLAGS -ccflags "$GO_CCFLAGS" -gcflags "$GO_GCFLAGS" -ldflags "$GO_LDFLAGS" -v std
echo echo
......
...@@ -56,7 +56,7 @@ cd src ...@@ -56,7 +56,7 @@ cd src
if "x%GOROOT_FINAL%"=="x" set GOROOT_FINAL=%GOROOT% if "x%GOROOT_FINAL%"=="x" set GOROOT_FINAL=%GOROOT%
set DEFGOROOT=-DGOROOT_FINAL="\"%GOROOT_FINAL:\=\\%\"" set DEFGOROOT=-DGOROOT_FINAL="\"%GOROOT_FINAL:\=\\%\""
echo # Building C bootstrap tool. echo ##### Building C bootstrap tool.
echo cmd/dist echo cmd/dist
if not exist ..\bin\tool mkdir ..\bin\tool if not exist ..\bin\tool mkdir ..\bin\tool
:: Windows has no glob expansion, so spell out cmd/dist/*.c. :: Windows has no glob expansion, so spell out cmd/dist/*.c.
...@@ -71,7 +71,7 @@ echo. ...@@ -71,7 +71,7 @@ echo.
if x%1==x--dist-tool goto copydist if x%1==x--dist-tool goto copydist
if x%2==x--dist-tool goto copydist if x%2==x--dist-tool goto copydist
echo # Building compilers and Go bootstrap tool. echo ##### Building compilers and Go bootstrap tool.
set buildall=-a set buildall=-a
if x%1==x--no-clean set buildall= if x%1==x--no-clean set buildall=
.\cmd\dist\dist bootstrap %buildall% -v .\cmd\dist\dist bootstrap %buildall% -v
...@@ -86,7 +86,7 @@ if not %GOHOSTOS% == %GOOS% goto localbuild ...@@ -86,7 +86,7 @@ if not %GOHOSTOS% == %GOOS% goto localbuild
goto mainbuild goto mainbuild
:localbuild :localbuild
echo # Building tools for local system. %GOHOSTOS%/%GOHOSTARCH% echo ##### Building tools for local system. %GOHOSTOS%/%GOHOSTARCH%
setlocal setlocal
set GOOS=%GOHOSTOS% set GOOS=%GOHOSTOS%
set GOARCH=%GOHOSTARCH% set GOARCH=%GOHOSTARCH%
...@@ -96,7 +96,7 @@ if errorlevel 1 goto fail ...@@ -96,7 +96,7 @@ if errorlevel 1 goto fail
echo. echo.
:mainbuild :mainbuild
echo # Building packages and commands. echo ##### Building packages and commands.
"%GOTOOLDIR%\go_bootstrap" install -gcflags "%GO_GCFLAGS%" -ldflags "%GO_LDFLAGS%" -a -v std "%GOTOOLDIR%\go_bootstrap" install -gcflags "%GO_GCFLAGS%" -ldflags "%GO_LDFLAGS%" -a -v std
if errorlevel 1 goto fail if errorlevel 1 goto fail
del "%GOTOOLDIR%\go_bootstrap.exe" del "%GOTOOLDIR%\go_bootstrap.exe"
......
...@@ -37,7 +37,7 @@ rebuild=true ...@@ -37,7 +37,7 @@ rebuild=true
if [ "$1" == "--no-rebuild" ]; then if [ "$1" == "--no-rebuild" ]; then
shift shift
else else
echo '# Building packages and commands.' echo '##### Building packages and commands.'
time go install -a -v std time go install -a -v std
echo echo
fi fi
...@@ -51,22 +51,22 @@ unset GOROOT_FINAL ...@@ -51,22 +51,22 @@ unset GOROOT_FINAL
timeout_scale=1 timeout_scale=1
[ "$GOARCH" == "arm" ] && timeout_scale=3 [ "$GOARCH" == "arm" ] && timeout_scale=3
echo '# Testing packages.' echo '##### Testing packages.'
time go test std -short -timeout=$(expr 120 \* $timeout_scale)s -gcflags "$GO_GCFLAGS" time go test std -short -timeout=$(expr 120 \* $timeout_scale)s -gcflags "$GO_GCFLAGS"
echo echo
# We set GOMAXPROCS=2 in addition to -cpu=1,2,4 in order to test runtime bootstrap code, # We set GOMAXPROCS=2 in addition to -cpu=1,2,4 in order to test runtime bootstrap code,
# creation of first goroutines and first garbage collections in the parallel setting. # creation of first goroutines and first garbage collections in the parallel setting.
echo '# GOMAXPROCS=2 runtime -cpu=1,2,4' echo '##### GOMAXPROCS=2 runtime -cpu=1,2,4'
GOMAXPROCS=2 go test runtime -short -timeout=$(expr 300 \* $timeout_scale)s -cpu=1,2,4 GOMAXPROCS=2 go test runtime -short -timeout=$(expr 300 \* $timeout_scale)s -cpu=1,2,4
echo echo
echo '# sync -cpu=10' echo '##### sync -cpu=10'
go test sync -short -timeout=$(expr 120 \* $timeout_scale)s -cpu=10 go test sync -short -timeout=$(expr 120 \* $timeout_scale)s -cpu=10
xcd() { xcd() {
echo echo
echo '#' $1 echo '#####' $1
builtin cd "$GOROOT"/src/$1 || exit 1 builtin cd "$GOROOT"/src/$1 || exit 1
} }
...@@ -165,7 +165,7 @@ esac ...@@ -165,7 +165,7 @@ esac
case "$GOHOSTOS-$GOOS-$GOARCH-$CGO_ENABLED" in case "$GOHOSTOS-$GOOS-$GOARCH-$CGO_ENABLED" in
linux-linux-amd64-1 | freebsd-freebsd-amd64-1 | darwin-darwin-amd64-1) linux-linux-amd64-1 | freebsd-freebsd-amd64-1 | darwin-darwin-amd64-1)
echo echo
echo '# Testing race detector.' echo '##### Testing race detector.'
go test -race -i runtime/race flag os/exec go test -race -i runtime/race flag os/exec
go test -race -run=Output runtime/race go test -race -run=Output runtime/race
go test -race -short flag os/exec go test -race -short flag os/exec
...@@ -239,7 +239,7 @@ time ./timing.sh -test || exit 1 ...@@ -239,7 +239,7 @@ time ./timing.sh -test || exit 1
[ "$GOOS" == openbsd ] || # golang.org/issue/5057 [ "$GOOS" == openbsd ] || # golang.org/issue/5057
( (
echo echo
echo '#' ../test/bench/go1 echo '#####' ../test/bench/go1
go test ../test/bench/go1 || exit 1 go test ../test/bench/go1 || exit 1
) || exit $? ) || exit $?
......
...@@ -19,7 +19,7 @@ set GOPATH= ...@@ -19,7 +19,7 @@ set GOPATH=
rem TODO avoid rebuild if possible rem TODO avoid rebuild if possible
if x%1==x--no-rebuild goto norebuild if x%1==x--no-rebuild goto norebuild
echo # Building packages and commands. echo ##### Building packages and commands.
go install -a -v std go install -a -v std
if errorlevel 1 goto fail if errorlevel 1 goto fail
echo. echo.
...@@ -37,7 +37,7 @@ call env.bat ...@@ -37,7 +37,7 @@ call env.bat
del env.bat del env.bat
echo. echo.
echo # Testing packages. echo ##### Testing packages.
go test std -short -timeout=120s go test std -short -timeout=120s
if errorlevel 1 goto fail if errorlevel 1 goto fail
echo. echo.
...@@ -46,7 +46,7 @@ set OLDGOMAXPROCS=%GOMAXPROCS% ...@@ -46,7 +46,7 @@ set OLDGOMAXPROCS=%GOMAXPROCS%
:: We set GOMAXPROCS=2 in addition to -cpu=1,2,4 in order to test runtime bootstrap code, :: We set GOMAXPROCS=2 in addition to -cpu=1,2,4 in order to test runtime bootstrap code,
:: creation of first goroutines and first garbage collections in the parallel setting. :: creation of first goroutines and first garbage collections in the parallel setting.
echo # GOMAXPROCS=2 runtime -cpu=1,2,4 echo ##### GOMAXPROCS=2 runtime -cpu=1,2,4
set GOMAXPROCS=2 set GOMAXPROCS=2
go test runtime -short -timeout=300s -cpu=1,2,4 go test runtime -short -timeout=300s -cpu=1,2,4
if errorlevel 1 goto fail if errorlevel 1 goto fail
...@@ -55,7 +55,7 @@ echo. ...@@ -55,7 +55,7 @@ echo.
set GOMAXPROCS=%OLDGOMAXPROCS% set GOMAXPROCS=%OLDGOMAXPROCS%
set OLDGOMAXPROCS= set OLDGOMAXPROCS=
echo # sync -cpu=10 echo ##### sync -cpu=10
go test sync -short -timeout=120s -cpu=10 go test sync -short -timeout=120s -cpu=10
if errorlevel 1 goto fail if errorlevel 1 goto fail
echo. echo.
...@@ -63,7 +63,7 @@ echo. ...@@ -63,7 +63,7 @@ echo.
:: Race detector only supported on Linux and OS X, :: Race detector only supported on Linux and OS X,
:: and only on amd64, and only when cgo is enabled. :: and only on amd64, and only when cgo is enabled.
if not "%GOHOSTOS%-%GOOS%-%GOARCH%-%CGO_ENABLED%" == "windows-windows-amd64-1" goto norace if not "%GOHOSTOS%-%GOOS%-%GOARCH%-%CGO_ENABLED%" == "windows-windows-amd64-1" goto norace
echo # Testing race detector. echo ##### Testing race detector.
go test -race -i runtime/race flag go test -race -i runtime/race flag
if errorlevel 1 goto fail if errorlevel 1 goto fail
go test -race -run=Output runtime/race go test -race -run=Output runtime/race
...@@ -73,19 +73,19 @@ if errorlevel 1 goto fail ...@@ -73,19 +73,19 @@ if errorlevel 1 goto fail
echo. echo.
:norace :norace
echo # ..\test\bench\go1 echo ##### ..\test\bench\go1
go test ..\test\bench\go1 go test ..\test\bench\go1
if errorlevel 1 goto fail if errorlevel 1 goto fail
echo. echo.
:: cgo tests :: cgo tests
if x%CGO_ENABLED% == x0 goto nocgo if x%CGO_ENABLED% == x0 goto nocgo
echo # ..\misc\cgo\life echo ##### ..\misc\cgo\life
go run "%GOROOT%\test\run.go" - ..\misc\cgo\life go run "%GOROOT%\test\run.go" - ..\misc\cgo\life
if errorlevel 1 goto fail if errorlevel 1 goto fail
echo. echo.
echo # ..\misc\cgo\stdio echo ##### ..\misc\cgo\stdio
go run "%GOROOT%\test\run.go" - ..\misc\cgo\stdio go run "%GOROOT%\test\run.go" - ..\misc\cgo\stdio
if errorlevel 1 goto fail if errorlevel 1 goto fail
echo. echo.
...@@ -94,7 +94,7 @@ echo. ...@@ -94,7 +94,7 @@ echo.
set OLDGOTRACEBACK=%GOTRACEBACK% set OLDGOTRACEBACK=%GOTRACEBACK%
set GOTRACEBACK=2 set GOTRACEBACK=2
echo # ..\misc\cgo\test echo ##### ..\misc\cgo\test
go test ..\misc\cgo\test go test ..\misc\cgo\test
if errorlevel 1 goto fail if errorlevel 1 goto fail
echo. echo.
...@@ -102,7 +102,7 @@ echo. ...@@ -102,7 +102,7 @@ echo.
set GOTRACEBACK=%OLDGOTRACEBACK% set GOTRACEBACK=%OLDGOTRACEBACK%
set OLDGOTRACEBACK= set OLDGOTRACEBACK=
echo # ..\misc\cgo\testso echo ##### ..\misc\cgo\testso
cd ..\misc\cgo\testso cd ..\misc\cgo\testso
set FAIL=0 set FAIL=0
call test.bat call test.bat
...@@ -111,7 +111,7 @@ if %FAIL%==1 goto fail ...@@ -111,7 +111,7 @@ if %FAIL%==1 goto fail
echo. echo.
:nocgo :nocgo
echo # ..\doc\progs echo ##### ..\doc\progs
go run "%GOROOT%\test\run.go" - ..\doc\progs go run "%GOROOT%\test\run.go" - ..\doc\progs
if errorlevel 1 goto fail if errorlevel 1 goto fail
echo. echo.
...@@ -121,7 +121,7 @@ echo. ...@@ -121,7 +121,7 @@ echo.
set OLDGOMAXPROCS=%GOMAXPROCS% set OLDGOMAXPROCS=%GOMAXPROCS%
echo # ..\test echo ##### ..\test
cd ..\test cd ..\test
set FAIL=0 set FAIL=0
set GOMAXPROCS= set GOMAXPROCS=
...@@ -134,7 +134,7 @@ if %FAIL%==1 goto fail ...@@ -134,7 +134,7 @@ if %FAIL%==1 goto fail
set GOMAXPROCS=%OLDGOMAXPROCS% set GOMAXPROCS=%OLDGOMAXPROCS%
set OLDGOMAXPROCS= set OLDGOMAXPROCS=
:: echo # Checking API compatibility. :: echo ##### Checking API compatibility.
go run "%GOROOT%\src\cmd\api\run.go" go run "%GOROOT%\src\cmd\api\run.go"
if errorlevel 1 goto fail if errorlevel 1 goto fail
echo. echo.
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment